# New source imported from rosa

%define url_ver		%(echo %{version}|cut -d. -f1,2)

%define api		2
%define major		6
%define girmajor	2.0

%define libname 	%mklibname gladeui %{api} %{major}
%define girname		%mklibname gladeui-gir %{girmajor}
%define devname		%mklibname gladeui %{api} -d

Summary:	GTK+ / GNOME 3 widget builder
Name:		glade
Version:	3.22.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/GNOME and GTK+
Url:		http://glade.gnome.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glade/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: desktop-file-utils
BuildRequires: gtk-doc
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: libatk1.0-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libgirepository-devel
BuildRequires: libglib2.0-devel
BuildRequires: libgtk+3.0-devel
BuildRequires: libpango1.0-devel
BuildRequires: libpython-devel
BuildRequires: libwayland-devel
BuildRequires: libx11-devel
BuildRequires: libxml2-devel

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the Gtk+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools. In particular libglade can
load the XML files and create the interfaces at runtime.

Other tools are available which can turn the XML files into source code
in languages such as C++, Perl and Python.

%package -n %{libname}
Summary:	Libraries required for %{name}
Group:		System/Libraries
Provides:	libgladeui = %{version}-%{release}

%description -n %{libname}
Libraries and file require to run program built with %{name}.

%package -n %{devname}
Summary:	Development libraries and include files for libgladeui (%{name})
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libgladeui%{major}-devel = %{version}-%{release}

%description -n %{devname}
Development libraries, headers files and documentation needed in order
to develop applications using libgladeui (%{name}).

%prep
%setup -q

%build
%configure2_5x \
	--enable-gtk-doc \
	--disable-static

%make LIBS='-lm -lgdk-3 -lgtk-3 -lgio-2.0 -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lglib-2.0 -lpango-1.0 -lgmodule-2.0'

%install
rm -rf %{buildroot}
%makeinstall_std

# just in case, if appdata stuff is required?
install -Dpm 0644 data/glade.appdata.xml %{buildroot}%{_datadir}/appdata/glade.appdata.xml

%find_lang %{name} --with-gnome

# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GUIDesigner" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS README TODO
%{_bindir}/%{name}*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/modules/
%{_libdir}/%{name}/modules
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/glade*
%{_datadir}/appdata/glade.appdata.xml
%{_datadir}/metainfo/glade.appdata.xml
%{_datadir}/help/*/glade/*
%{_mandir}/man1/glade*

%files -n %{libname}
%{_libdir}/libgladeui-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Gladeui-%{girmajor}.typelib

%files -n %{devname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/libgladeui-2.0/
%{_libdir}/pkgconfig/gladeui-2.0.pc
%{_libdir}/libgladeui-%{api}.so
%{_datadir}/gir-1.0/Gladeui-%{girmajor}.gir


%changelog
* Sat Nov 17 2018 adrianomorselli <adrianomorselli> 3.22.1-1uplos2018
- update
